Network Void API
Voids a timed-out transaction when the Transaction Result Inquiry API confirms the payment was successfully processed. Use this endpoint when the capture API call timed out on the merchant side but the payment was captured by Hecto Financial.
Test Credentials
API Information
POST/APINetPayCancel.do
Content-Type
application/json; charset=UTF-8Sandbox
https://tbezauthapi.settlebank.co.kr/APINetPayCancel.doProduction
https://ezauthapi.settlebank.co.kr:8081/APINetPayCancel.doRequest Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
Required Parameters
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code.
Message type code.
*Fixed value
└apiVerAN(4)Alphanumeric, up to 4 bytes*API version.
API version.
*Fixed value
└mercntIdAN(8)Alphanumeric, up to 8 bytes*Unique merchant identifier assigned by Hecto Financial.
Unique merchant identifier assigned by Hecto Financial.
└trDayN(8)Numeric, up to 8 bytes*Transaction date from the original order (yyyyMMdd).
Transaction date from the original order (yyyyMMdd).
└ordNoAN(100)Alphanumeric, up to 100 bytes*Order number from the original payment request.
Order number from the original payment request.
└reqDayN(8)Numeric, up to 8 bytes*Network void request date (yyyyMMdd).
Network void request date (yyyyMMdd).
└reqTimeN(6)Numeric, up to 6 bytes*Network void request time (HH24MISS).
Network void request time (HH24MISS).
└signatureAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value for tamper protection.(auto-generated)SHA-256 hash value for tamper protection.
NOTE
Signature Composition
mercntId + ordNo + trDay + reqDay + reqTime + hashKey
Response Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└resultCdN(1)Numeric, up to 1 bytes*Result code.
0Result code.
0: Success -1: Failure└errCdAN(5)Alphanumeric, up to 5 bytes*Error code. See error code reference.
0000Error code. See error code reference.
└resultMsgAN(200)Alphanumeric, up to 200 bytes*Human-readable result message.
SuccessHuman-readable result message.
└apiVerAN(10)Alphanumeric, up to 10 bytes*API version echoed from the request.
1.0API version echoed from the request.
Request Example
{
"hdInfo": "IA_NC_1.0_1.0",
"apiVer": "1.0",
"mercntId": "ms00003t",
"trDay": "20190221",
"ordNo": "OID201902210001",
"reqDay": "20190221",
"reqTime": "142120",
"signature": "[SHA-256 hash]"
}
